const { description } = require('../../package')

module.exports = {
  title: 'LfK! Dokumentation',
  description: description,
  head: [
    ['meta', { name: 'theme-color', content: '#3eaf7c' }],
    ['meta', { name: 'apple-mobile-web-app-capable', content: 'yes' }],
    ['meta', { name: 'apple-mobile-web-app-status-bar-style', content: 'black' }]
  ],
  theme: 'default-prefers-color-scheme',
  themeConfig: {
    repo: '',
    editLinks: false,
    docsDir: '',
    editLinkText: '',
    lastUpdated: false,
    nav: [
      {
        text: 'Nutzer',
        link: '/users/',
      },
      {
        text: 'Admins',
        link: '/admins/'
      },
      {
        text: 'VuePress',
        link: 'https://v1.vuepress.vuejs.org'
      }
    ],
    sidebar: {
      '/users/': [
        {
          title: 'User',
          collapsable: false,
          children: [
            '',
            'accounts',
            'organizations'
          ]
        }
      ],
    }
  },
  plugins: [
    '@vuepress/plugin-back-to-top',
    '@vuepress/plugin-medium-zoom',
    'flexsearch'
  ]
}
